# Sets default memory used for gradle commands. Can be overridden by user or command line properties.
# This is required to provide enough memory for the Minecraft decompilation process.
#org.gradle.jvmargs=-Dfile.encoding=UTF-8 -Xmx2G -XX:+UseSerialGC
#org.gradle.jvmargs=-Dfile.encoding=UTF-8 -Xmx2G -XX:+UseConcMarkSweepGC
#org.gradle.jvmargs=-Dfile.encoding=UTF-8 -Xmx2G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode
#org.gradle.jvmargs=-Dfile.encoding=UTF-8 -Xmx2G -XX:+UseG1GC
org.gradle.jvmargs=-Dfile.encoding=UTF-8 -Xmx2G -XX:+UseG1GC -XX:+UseStringDeduplication

# Try to save memory on low-memory machine
org.gradle.daemon=false
org.gradle.parallel=false
org.gradle.configureondemand=true
